Subject: bug#20484: bug#20202: Considered Harmful 73d213: 'Comint, term, and compile new set Emacs'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Apr 2016 10:01:59 +0300

> From: [email-masked] (Phillip Lord)
> Date: Thu, 07 Apr 2016 22:42:40 +0100
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Incidentally, I have looked again at #20484. What ever it is that is
> supporting the directory tracking, it is not the EMACS=t behaviour of 
> bash, since in ansi-term we have:
> 
>  (format "EMACS=%s (term:%s)" emacs-version term-protocol-version)
> 
> This usage will happily not break cask, since it was never supported in
> the first place.
> 
> On the other hand, directory tracking works just fine in M-x shell in
> both Emacs-25.0.91, and Emacs-25 head. So, the EMACS=t setting is not
> an issue there either. And, dir tracking is not an issue at all for M-x
> compile.
> 
> This suggests a simple fix: restore beaab89, except for the bit dealing
> with ansi-term, which remains for the sake of future compatability. Both
> bug reports are fixed. Anyone launching cask (or the make files Eli
> Barzilay talked about in #20202) inside ansi-term may still have
> problems.
> 
> ansi-term is already exceptional, note, because it does not obey the
> "don't fiddle with EMACS if EMACS is already set" semantics.

EMACS=t is for the old versions of Bash and other shells that look at
that.  So your proposal doesn't solve those problems, AFAIU.